/*******************************************************************************
* File Name: DDS2_ISR_Phase.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_DDS2_ISR_Phase_H)
#define CY_ISR_DDS2_ISR_Phase_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void DDS2_ISR_Phase_Start(void);
void DDS2_ISR_Phase_StartEx(cyisraddress address);
void DDS2_ISR_Phase_Stop(void);

CY_ISR_PROTO(DDS2_ISR_Phase_Interrupt);

void DDS2_ISR_Phase_SetVector(cyisraddress address);
cyisraddress DDS2_ISR_Phase_GetVector(void);

void DDS2_ISR_Phase_SetPriority(uint8 priority);
uint8 DDS2_ISR_Phase_GetPriority(void);

void DDS2_ISR_Phase_Enable(void);
uint8 DDS2_ISR_Phase_GetState(void);
void DDS2_ISR_Phase_Disable(void);

void DDS2_ISR_Phase_SetPending(void);
void DDS2_ISR_Phase_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the DDS2_ISR_Phase ISR. */
#define DDS2_ISR_Phase_INTC_VECTOR            ((reg32 *) DDS2_ISR_Phase__INTC_VECT)

/* Address of the DDS2_ISR_Phase ISR priority. */
#define DDS2_ISR_Phase_INTC_PRIOR             ((reg8 *) DDS2_ISR_Phase__INTC_PRIOR_REG)

/* Priority of the DDS2_ISR_Phase interrupt. */
#define DDS2_ISR_Phase_INTC_PRIOR_NUMBER      DDS2_ISR_Phase__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable DDS2_ISR_Phase interrupt. */
#define DDS2_ISR_Phase_INTC_SET_EN            ((reg32 *) DDS2_ISR_Phase__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the DDS2_ISR_Phase interrupt. */
#define DDS2_ISR_Phase_INTC_CLR_EN            ((reg32 *) DDS2_ISR_Phase__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the DDS2_ISR_Phase interrupt state to pending. */
#define DDS2_ISR_Phase_INTC_SET_PD            ((reg32 *) DDS2_ISR_Phase__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the DDS2_ISR_Phase interrupt. */
#define DDS2_ISR_Phase_INTC_CLR_PD            ((reg32 *) DDS2_ISR_Phase__INTC_CLR_PD_REG)


#endif /* CY_ISR_DDS2_ISR_Phase_H */


/* [] END OF FILE */
