/*******************************************************************************
* File Name: DDS2_StatusPhase.h  
* Version 1.80
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_DDS2_StatusPhase_H) /* CY_STATUS_REG_DDS2_StatusPhase_H */
#define CY_STATUS_REG_DDS2_StatusPhase_H

#include "cytypes.h"
#include "CyLib.h"


/***************************************
*        Function Prototypes
***************************************/

uint8 DDS2_StatusPhase_Read(void) ;
void DDS2_StatusPhase_InterruptEnable(void) ;
void DDS2_StatusPhase_InterruptDisable(void) ;
void DDS2_StatusPhase_WriteMask(uint8 mask) ;
uint8 DDS2_StatusPhase_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define DDS2_StatusPhase_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define DDS2_StatusPhase_INPUTS              8


/***************************************
*             Registers
***************************************/

/* Status Register */
#define DDS2_StatusPhase_Status             (* (reg8 *) DDS2_StatusPhase_sts_sts_reg__STATUS_REG )
#define DDS2_StatusPhase_Status_PTR         (  (reg8 *) DDS2_StatusPhase_sts_sts_reg__STATUS_REG )
#define DDS2_StatusPhase_Status_Mask        (* (reg8 *) DDS2_StatusPhase_sts_sts_reg__MASK_REG )
#define DDS2_StatusPhase_Status_Aux_Ctrl    (* (reg8 *) DDS2_StatusPhase_sts_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_DDS2_StatusPhase_H */


/* [] END OF FILE */
